org.apache.commons.jelly.tags.define

## Class ScriptTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.define.ScriptTag

All Implemented Interfaces:
  Tag

    public class ScriptTag
    extends TagSupport

<script> tag is used to assign a Script object to a variable. The script can then be called whenever the user wishes maybe from inside an expression or more typically via the <invoke> tag.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`ScriptTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`java.lang.String` `getVar()`
`void` `setVar(java.lang.String var)` Sets the variable name of the tag to create

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptTag

    public ScriptTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### getVar

    public java.lang.String getVar()

Returns:
  the variable name of the script to create

#### setVar

    public void setVar(java.lang.String var)

Sets the variable name of the tag to create